﻿using System;
using System.Windows;
using System.Windows.Media;

namespace CustomSymbols.Symbols
{
    [Serializable]
    public class SnapInfo
    {
        //public Guid CustomId { get; set; }
        public string NodeName { get; set; }
        public Point PointValue { get; set; }
        public double LinearPosition { get; set; }

        public Brush PointBrush { get; set; }
        public int TickNess { get; set; }

        public SnapInfo()
        {
            PointBrush = null;
            TickNess = 0;
        }

        public SnapInfo(SnapInfo snap)
        {
            //this.CustomId = snap.CustomId;
            this.NodeName = snap.NodeName;
            this.PointValue = snap.PointValue;
            this.LinearPosition= snap.LinearPosition;
            this.PointBrush = snap.PointBrush;
            this.TickNess = snap.TickNess;
        }

        public SnapInfo(SnapInfo snap, string newName)
        {
            //this.CustomId = newId;
            this.NodeName = newName;
            this.PointValue = snap.PointValue;
            this.LinearPosition = snap.LinearPosition;
            this.PointBrush = snap.PointBrush;
            this.TickNess = snap.TickNess;
        }
    }
}
